Subject: bug#8789: 23.3; debug backtrace buffer changes window on step-through

From: "Drew Adams" <[email-masked]>
Date: Thu, 20 Sep 2012 16:16:44 -0700

> But what if you want to M-x debug-on-entry 
> find-file-name-handler or any other function called by
> `file-remote-p' (or your mode-line version)?

Yes of course, agreed.  If you explicitly access the debugger intentionally for
`find-file-name-handler', `if', or `funcall' (the 3 fns called by
`file-remote-p'), then you will run into the same problem.

The proposed fix would nevertheless be a big improvement.  And you will not run
into such a problem if you debug other code that calls any of those three fns or
`file-remote-p'.  That was my point.

I think you are perhaps exaggerating the problems, _in practice_, that such a
simple fix might not handle, and you are perhaps downplaying the real problem
already caused by the regression.

IOW, while Someone (TM) works on an elegant, general fix, implementing a simple
fix that does a pretty good job now is better than doing nothing now and until
that general fix is available.